Name:          jakarta-commons-messenger
Version:       1.0
Release:       %mkrel 2
Summary:       Commons Messenger JMS framework
Group:         Development/Java
URL:           http://commons.apache.org/sandbox/messenger/
# svn export http://svn.apache.org/repos/asf/commons/dormant/messenger/trunk/ commons-messenger
# tar czf commons-messenger-1.0-dev-10-src-svn.tar.gz commons-messenger
Source:        commons-messenger-1.0-dev-10-src-svn.tar.gz
License:       Apache Software License Version 2.0
BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: geronimo-jms
BuildRequires: geronimo-jta
BuildRequires: apache-commons-beanutils
BuildRequires: apache-commons-collections
BuildRequires: apache-commons-digester
BuildRequires: apache-commons-logging
BuildRequires: junit
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: servletapi4
BuildRequires: xerces-j2
BuildRequires: xml-commons-apis
Requires:      geronimo-jms
Requires:      geronimo-jta
Requires:      apache-commons-beanutils
Requires:      apache-commons-collections
Requires:      apache-commons-digester
Requires:      apache-commons-logging
Requires:      servletapi4
Requires:      xerces-j2
Requires:      xml-commons-apis
BuildArch:     noarch

%description
Messenger is a JMS (Java Message Service) framework which makes it
very easy to use JMS in Web Service and Web Application environments.
Messenger implements session pooling (which can be quite hard to do
with JMS) which makes JMS very easy to work with. Also Messenger hides
much of the complexity of JMS behind a simple facade API, the Messenger
interface.
In addition Messenger provides an XML deployment configuration file to
avoid having to litter your code with complex deployment configuration
details in your application code.
Messenger also provides a Messagelet Engine which is a JMS based
container that can be deployed in any Servlet Engine to process JMS
messages via MessageListeners, Message Driven Objects, Servlets or JSP.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java

%description javadoc
Commons Messenger JMS framework.

This package contains javadoc for %{name}

%prep

%setup -q -n commons-messenger

for j in $(find -name "*.jar"); do
  mv $j  $j.no
done

for c in $(find -name  "*.class"); do
  rm -rf $c
done

%build

export CLASSPATH=$(build-classpath commons-logging-api commons-logging junit \
commons-beanutils commons-collections commons-digester servletapi4 \
geronimo-jms geronimo-jta xml-commons-apis xerces-j2 ant/ant-junit)
CLASSPATH=target/classes:target/test-classes:$CLASSPATH

ant \
  -Dant.build.javac.source=1.6 \
  -Dant.build.javac.target=1.6 \
  -Dbuild.sysclasspath=only \
  test dist

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_javadir}
mkdir -p %{buildroot}%{_mavenpomdir}

install -pm 644 dist/commons-messenger-%{version}-dev-10.jar \
  %{buildroot}%{_javadir}/%{name}-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} `echo $jar| sed "s|jakarta-||g"`
  done
)

(
  cd %{buildroot}%{_javadir} 
  for jar in *-%{version}*; do
    ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
  done
)

%add_to_maven_depmap org.apache.commons commons-messenger %{version}-SNAPSHOT JPP commons-messenger
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-commons-messenger.pom

mkdir -p %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -pr dist/docs/api/* %{buildroot}%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name} 

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/commons-messenger-%{version}.jar
%{_javadir}/commons-messenger.jar
%{_javadir}/jakarta-commons-messenger-%{version}.jar
%{_javadir}/jakarta-commons-messenger.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt README.txt RELEASE-NOTES.txt

%files javadoc
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.0-2.mga3
+ Revision: 354702
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 28 2011 dmorgan <dmorgan> 1.0-1.mga2
+ Revision: 130017
- Clean spec file

  + gil <gil>
    - imported package jakarta-commons-messenger

